Skip to main content
GET
List Agent Tools

Headers

API-Version
string

Pin request, response, and webhook shapes to a specific dated API version (YYYY-MM-DD). Omit to use the version pinned to your API key (set when the key is created; new keys default to the latest version). New integrations should target the latest version.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-11-02"

Path Parameters

did
string
required

The agent's DID, URL-encoded.

Example:

"did:web:humanos.tech:agent:2f8b6c41-9d37-4e5a-8b02-6c1d9e7a4f35"

Query Parameters

pageIndex
number
default:0

Zero-based page index. 0 returns the first page.

Required range: x >= 0
Example:

0

pageSize
number
default:10

Number of items per page

Required range: 5 <= x <= 100
Example:

10

Response

Returns a page of the agent's tools plus the total number of pages available.

data
object[]
required

The tools on this page, by name.

totalPages
number
required

Total number of pages available based on the page size and total count

Example:

1